package com.huazheng.project.mysql.mapper;

import java.util.List;

import com.huazheng.project.mysql.model.Handover;
import com.huazheng.project.mysql.model.HandoverTask;
import com.huazheng.project.mysql.model.TransformHistoryNode;
import com.huazheng.project.mysql.model.TransformNewNode;

public interface TmsMapper {

	public List<TransformHistoryNode> selectTransformHistoryNodeNew(TransformHistoryNode thn);
	public List<HandoverTask> selectHandoverTaskNew(HandoverTask handoverTask);
	public List<TransformNewNode> selectTransformNewNodeNew(TransformNewNode tnn);
	public List<Handover> selectHandoverNew(Handover handover);

	// 按天更新
	public List<TransformHistoryNode> selectTransformHistoryNodeCheckByUpdate(TransformHistoryNode obj);
	public List<HandoverTask> selectHandoverTaskCheckByUpdate(HandoverTask obj);
	public List<TransformNewNode> selectTransformNewNodeCheckByUpdate(TransformNewNode obj);
	public List<Handover> selectHandoverCheckByUpdate(Handover obj);
	
	
	
	public Handover selectHandoverById(Handover target);
	public HandoverTask selectHandoverTaskById(HandoverTask target);
	public TransformNewNode selectTransformNewNodeById(TransformNewNode target);
	public TransformHistoryNode selectTransformHistoryNodeById(TransformHistoryNode target);
	

}
